Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
fpe_fe1.cpp File Reference
`#include <botan/fpe_fe1.h>`
`#include <botan/numthry.h>`
`#include <botan/hmac.h>`
`#include <botan/sha2_32.h>`

Go to the source code of this file.

## Namespaces
| Botan
| Botan::FPE

## Functions
BigInt | Botan::FPE::fe1_decrypt (const BigInt &n, const BigInt &X0, const SymmetricKey &key, const std::vector< uint8_t > &tweak)
BigInt | Botan::FPE::fe1_encrypt (const BigInt &n, const BigInt &X0, const SymmetricKey &key, const std::vector< uint8_t > &tweak)

## Variable Documentation

std::unique_ptr<MessageAuthenticationCode> m_mac

Definition at line 88 of file fpe_fe1.cpp.

Referenced by Botan::PKCS5_PBKDF2::clone(), Botan::TLS_12_PRF::clone(), Botan::MAC_Filter::key_spec(), Botan::TLS::TLS_CBC_HMAC_AEAD_Mode::mac(), Botan::MAC_Filter::MAC_Filter(), Botan::PKCS5_PBKDF2::name(), Botan::TLS_12_PRF::name(), Botan::MAC_Filter::name(), Botan::MAC_Filter::set_key(), and Botan::MAC_Filter::write().

std::vector<uint8_t> m_mac_n_t

Definition at line 89 of file fpe_fe1.cpp.